Adobe XD < 16.0 Path Traversal Vulnerability (APSB19-22) (macOS)

critical Nessus Plugin ID 164519

Synopsis

The version of Adobe Acrobat installed on the remote macOS host is affected by a path traversal vulnerability.

Description

The version of Adobe Acrobat installed on the remote macOS host is a version prior to 16.0 and is therefore affected by a path traversal vulnerability. Successful exploitation of this vulnerability could lead to arbitrary code execution.

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Adobe Acrobat version 17.0.12 or later.

See Also

https://helpx.adobe.com/security/products/xd/apsb19-22.html

Plugin Details

Severity: Critical

ID: 164519

File Name: macos_adobe_XD_apsb19-22.nasl

Version: 1.3

Type: local

Agent: macosx

Published: 8/31/2022

Updated: 8/31/2022

Supported Sensors: Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 7.4

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS Score Source: CVE-2019-7106

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:2.3:a:adobe:xd:*:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/MacOSX/Version, installed_sw/Adobe XD

Exploit Ease: No known exploits are available

Patch Publication Date: 4/9/2019

Vulnerability Publication Date: 4/9/2019

Reference Information

CVE: CVE-2019-7105, CVE-2019-7106